GCubeSiteManagerImpl (Custom Portal Handler 2.0.1-SNAPSHOT API)
Date: 2016-06-30

org.gcube.portal.custom.communitymanager.impl

## Class GCubeSiteManagerImpl

- java.lang.Object
- - org.gcube.portal.custom.communitymanager.SiteManagerUtil
  - - org.gcube.portal.custom.communitymanager.impl.GCubeSiteManagerImpl

-     public class GCubeSiteManagerImpl
      extends SiteManagerUtil

  Author:
    Massimiliano Assante, massimiliano.assante@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SITE_DEFAULT_LOGO` FIXME public as generic resource

    - ### Fields inherited from class org.gcube.portal.custom.communitymanager.SiteManagerUtil

      `DEFAULT_COMPANY_WEB_ID, ROOT_ORG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCubeSiteManagerImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `createRootVO(String username, String voName, String voDesc, GCUBESiteLayout siteLayout, String themeid)` create a VO with no parent (root VO)
    `static long` | `createVO(String username, String voName, String voDesc, long parentid, GCUBESiteLayout siteLayout, String themeid)`
    `static long` | `createVRE(String username, String vreName, String voDesc, long parentid, GCUBESiteLayout siteLayout, String themeid)`
    `static GCUBESiteLayout` | `getBaseLayout(String voName, boolean isVO, String username)`

    - ### Methods inherited from class org.gcube.portal.custom.communitymanager.SiteManagerUtil

      `addUserToGroup, createLayout, getCompany, getDefaultCompanyWebId, getDefaultPortlets, getgCubeThemeId, getRootOrganizationName, getTomcatFolder, getVREBelongingPortlets, validateUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SITE_DEFAULT_LOGO

          public static final String SITE_DEFAULT_LOGO

      FIXME public as generic resource
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GCubeSiteManagerImpl

          public GCubeSiteManagerImpl()

  - ### Method Detail

    - #### createVO

          public static long createVO(String username,
                      String voName,
                      String voDesc,
                      long parentid,
                      GCUBESiteLayout siteLayout,
                      String themeid)

      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the organizationid of the created VO

    - #### createRootVO

          public static long createRootVO(String username,
                          String voName,
                          String voDesc,
                          GCUBESiteLayout siteLayout,
                          String themeid)

      create a VO with no parent (root VO)
      Parameters:
        `voName` - the voName
        `voDesc` - -
      Returns:
        the id of the created VO

    - #### createVRE

          public static long createVRE(String username,
                       String vreName,
                       String voDesc,
                       long parentid,
                       GCUBESiteLayout siteLayout,
                       String themeid)

      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the organizationid of the created VO

    - #### getBaseLayout

          public static GCUBESiteLayout getBaseLayout(String voName,
                                      boolean isVO,
                                      String username)
                                               throws com.liferay.portal.kernel.exception.PortalException,
                                                      com.liferay.portal.kernel.exception.SystemException

      Returns:
        the built layout of a rootVO
      Throws:
        `com.liferay.portal.kernel.exception.SystemException` - .
        `com.liferay.portal.kernel.exception.PortalException` - .

Copyright © 2016. All Rights Reserved.